Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Text Template Operations
PUTText Template OperationsSince 2.3SynchronousAuth Required
UpdateSNSTextTemplate
UpdateSNSTextTemplate
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
updatesnstexttemplateObjectRequiredupdatesnstexttemplate request body object.
nameStringOptional. The resource name.
descriptionStringOptional. The detailed description of the resource.
templateStringOptional. The template text.
recoveryTemplateStringOptional. The recovery template text, which is a string.
defaultTemplateBooleanOptional. Whether to set the template as the default template.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/zwatch/alarms/sns/text-templates/{uuid}/actions
/zstack/v1/zwatch/alarms/sns/text-templates/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/zwatch/alarms/sns/text-templates/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatesnstexttemplate":{"name":"<name>","description":"<description>","template":"<template>","recoveryTemplate":"<recoveryTemplate>","defaultTemplate":true},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "cc881c03f4c04ea9a0e0dda61f4c2f00", "name": "email template", "applicationPlatformType": "Email", "template": "Alarm ${ALARM_NAME} changes status to ${ALARM_CURRENT_STATUS}", "recoveryTemplate": "Alarm ${ALARM_NAME} Resource ${ALARM_RESOURCE_NAME} changes status to ${ALARM_CURRENT_STATUS}", "defaultTemplate": false, "createDate": "Jul 6, 2018 1:51:22 PM", "lastOpDate": "Jul 6, 2018 1:51:22 PM" } }Change History
This API has no change history records yet.
